Package com.ocient.jdbc.proto

## Interface PlanProtocol.ProductOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.ProductOperator`, `PlanProtocol.ProductOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.ProductOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`PlanProtocol.Disjunction` `getFilters​(int index)` Represents a cartesian product or, if there is a filter, a nested loop join
`int` `getFiltersCount()` Represents a cartesian product or, if there is a filter, a nested loop join
`List<PlanProtocol.Disjunction>` `getFiltersList()` Represents a cartesian product or, if there is a filter, a nested loop join
`PlanProtocol.DisjunctionOrBuilder` `getFiltersOrBuilder​(int index)` Represents a cartesian product or, if there is a filter, a nested loop join
`List<? extends PlanProtocol.DisjunctionOrBuilder>` `getFiltersOrBuilderList()` Represents a cartesian product or, if there is a filter, a nested loop join
`PlanProtocol.JoinType` `getType()` `.xg.db.sqlPlans.JoinType type = 2;`
`int` `getTypeValue()` `.xg.db.sqlPlans.JoinType type = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getFiltersList

    List<PlanProtocol.Disjunction> getFiltersList()

    Represents a cartesian product or, if there is a filter, a nested loop join

`repeated .xg.db.sqlPlans.Disjunction filters = 1;`

#### getFilters

    PlanProtocol.Disjunction getFilters​(int index)

    Represents a cartesian product or, if there is a filter, a nested loop join

`repeated .xg.db.sqlPlans.Disjunction filters = 1;`

#### getFiltersCount

    int getFiltersCount()

    Represents a cartesian product or, if there is a filter, a nested loop join

`repeated .xg.db.sqlPlans.Disjunction filters = 1;`

#### getFiltersOrBuilderList

    List<? extends PlanProtocol.DisjunctionOrBuilder> getFiltersOrBuilderList()

    Represents a cartesian product or, if there is a filter, a nested loop join

`repeated .xg.db.sqlPlans.Disjunction filters = 1;`

#### getFiltersOrBuilder

    PlanProtocol.DisjunctionOrBuilder getFiltersOrBuilder​(int index)

    Represents a cartesian product or, if there is a filter, a nested loop join

`repeated .xg.db.sqlPlans.Disjunction filters = 1;`

#### getTypeValue

    int getTypeValue()

`.xg.db.sqlPlans.JoinType type = 2;`

Returns:
  The enum numeric value on the wire for type.

#### getType

    PlanProtocol.JoinType getType()

`.xg.db.sqlPlans.JoinType type = 2;`

Returns:
  The type.